[PATCH] D6563: test-release.sh: Add ability to do a test build using the trunk or branches.
Daniel Sanders
daniel.sanders at imgtec.com
Wed Jul 15 03:20:05 PDT 2015
dsanders updated the summary for this revision.
dsanders added a reviewer: hans.
dsanders updated this revision to Diff 29761.
dsanders added a comment.
Update to 3.7 with http://reviews.llvm.org/D10715 applied since there's no 3.7.0rc1 tag yet
http://reviews.llvm.org/D6563
Files:
release/test-release.sh
Index: release/test-release.sh
===================================================================
--- release/test-release.sh
+++ release/test-release.sh
@@ -35,6 +35,7 @@
BuildDir="`pwd`"
use_autoconf="no"
ExtraConfigureFlags=""
+ExportBranch=""
function usage() {
echo "usage: `basename $0` -release X.Y.Z -rc NUM [OPTIONS]"
@@ -52,6 +53,8 @@
echo " -use-gzip Use gzip instead of xz."
echo " -configure-flags FLAGS Extra flags to pass to the configure step."
echo " -use-autoconf Use autoconf instead of cmake"
+ echo " -test-trunk Use the trunk instead of a release"
+ echo " -test-branch BRANCH Use the specified branch instead of a release"
}
if [ `uname -s` = "Darwin" ]; then
@@ -73,6 +76,25 @@
-final | --final )
RC=final
;;
+ -test-trunk | --test-trunk )
+ Release="test"
+ Release_no_dot="test"
+ RC="trunk"
+ ExportBranch="trunk"
+ echo "WARNING: Using the trunk instead of a release tag"
+ echo " This is intended to aid new packagers in trialing "
+ echo " builds without requiring a tag to be created first"
+ ;;
+ -test-branch | --test-branch )
+ shift
+ Release="test"
+ Release_no_dot="test"
+ ExportBranch="branches/$1"
+ RC="`echo $ExportBranch | sed -e 's,/,_,g'`"
+ echo "WARNING: Using the branch $ExportBranch instead of a release tag"
+ echo " This is intended to aid new packagers in trialing "
+ echo " builds without requiring a tag to be created first"
+ ;;
-triple | --triple )
shift
Triple="$1"
@@ -132,6 +154,9 @@
echo "error: no release candidate number specified"
exit 1
fi
+if [ -z "$ExportBranch" ]; then
+ ExportBranch="tags/RELEASE_$Release_no_dot/$RC"
+fi
if [ -z "$Triple" ]; then
echo "error: no target triple specified"
exit 1
@@ -187,7 +212,7 @@
for proj in $projects ; do
echo "# Validating $proj SVN URL"
- if ! svn ls $Base_url/$proj/tags/RELEASE_$Release_no_dot/$RC > /dev/null 2>&1 ; then
+ if ! svn ls $Base_url/$proj/$ExportBranch > /dev/null 2>&1 ; then
echo "$proj $Release release candidate $RC doesn't exist!"
exit 1
fi
@@ -200,7 +225,7 @@
for proj in $projects ; do
echo "# Exporting $proj $Release-$RC sources"
- if ! svn export -q $Base_url/$proj/tags/RELEASE_$Release_no_dot/$RC $proj.src ; then
+ if ! svn export -q $Base_url/$proj/$ExportBranch $proj.src ; then
echo "error: failed to export $proj project"
exit 1
fi
-------------- next part --------------
A non-text attachment was scrubbed...
Name: D6563.29761.patch
Type: text/x-patch
Size: 2800 bytes
Desc: not available
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20150715/01971c39/attachment.bin>
More information about the llvm-commits
mailing list